Subject: [DNA] Following up Dallas on how to structure documents

From: Greg Daley <[email-masked]>
Date: Fri, 12 May 2006 20:02:51 -0400

Hi,

During the last meeting there was a long discussion
as to how many documents the WG wanted to make
to create the DNA solution, and specify changes to
protocols for DNA purposes.

It was suggested that we look at ways to combine existing
documents with related purposes to see if any of the
combinations made sense, both so that the implementors
have few documents to follow, and clarity is maintained.

To get a rough idea of what the working group thinks is
appropriate, I'll post lists of Tables of contents from
existing documents, and VERY rough outline combinations
of Tables of contents for proposed merged documents.

These TOCs are aimed at not losing any information,
but clearly, there will be a chance later to review
documents' contents if we decide to commit to amalgamating
a set or subset of documents. 

Therefore, please don't be too concerned about duplication,
or subsections which don't flow smoothly.  The idea is to get
a set of documents which could work together, (and keeping
some existing documents is one option).

Assumptions:

The candidate documents are:
draft-ietf-dna-hosts-02.txt (-03 about to be submitted)
draft-ietf-dna-cpl-02.txt
draft-ietf-dna-protocol-00.txt
draft-ietf-tentative-00.txt

Other WG documents are out of scope at this stage,
because they do not propose protocol changes.

Please let me know if these assumptions are inappropriate.

There are (probably) 4 possible combinations for discussion
here. I'd like people to indicate what they like most, and
like least, and give some explanation.

They are (roughly):

1. Keep the same documents (Hosts), (CPL), (Proto), (Tent)
2. Combine all into one document (Hosts/CPL/Proto/Tent)
3. Make two documents: unmodified packets (Hosts/CPL), modified packets
(Proto/Tent)
4. Make two documents: Hosts Mods (Hosts/CPL/Proto/Tent), Router mods
(Proto/Tent)

We should be able to cull some ideas early, if we get good
discussion, and consensus.

I'll post follow ups with TOCs for each option.

Greg